Package org.apache.groovy.swing.binding

# Class AggregateBinding

java.lang.Object
org.apache.groovy.swing.binding.AggregateBinding

All Implemented Interfaces:
  `BindingUpdatable`

public class AggregateBinding extends Object implements BindingUpdatable
An aggregation of multiple bindings

Since:
  Groovy 1.6

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<BindingUpdatable>`
  `bindings`
  The member bindings managed by this aggregate.
  `protected boolean`
  `bound`
  Indicates whether the aggregate is currently bound.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggregateBinding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBinding(BindingUpdatable binding)`
  Adds a binding to the aggregate.
  `void`
  `bind()`
  Binds every member binding in insertion order.
  `void`
  `rebind()`
  Rebinds every member binding when the aggregate is currently active.
  `void`
  `removeBinding(BindingUpdatable binding)`
  Removes a binding from the aggregate.
  `void`
  `reverseUpdate()`
  Pushes reverse updates through every member binding.
  `void`
  `unbind()`
  Unbinds every member binding in insertion order.
  `void`
  `update()`
  Pushes source updates through every member binding.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bound

    protected boolean bound
    Indicates whether the aggregate is currently bound.

  - ### bindings

    protected Set<BindingUpdatable> bindings
    The member bindings managed by this aggregate.

- ## Constructor Details

  - ### AggregateBinding

    public AggregateBinding()

- ## Method Details

  - ### addBinding

    public void addBinding(BindingUpdatable binding)
    Adds a binding to the aggregate.
    Parameters:
      `binding` - the binding to add

  - ### removeBinding

    public void removeBinding(BindingUpdatable binding)
    Removes a binding from the aggregate.
    Parameters:
      `binding` - the binding to remove

  - ### bind

    public void bind()
    Binds every member binding in insertion order.
    Specified by:
      `bind` in interface `BindingUpdatable`

  - ### unbind

    public void unbind()
    Unbinds every member binding in insertion order.
    Specified by:
      `unbind` in interface `BindingUpdatable`

  - ### rebind

    public void rebind()
    Rebinds every member binding when the aggregate is currently active.
    Specified by:
      `rebind` in interface `BindingUpdatable`

  - ### update

    public void update()
    Pushes source updates through every member binding.
    Specified by:
      `update` in interface `BindingUpdatable`

  - ### reverseUpdate

    public void reverseUpdate()
    Pushes reverse updates through every member binding.
    Specified by:
      `reverseUpdate` in interface `BindingUpdatable`